Documentation

System Requirements

Joomla System Requirements

Most hosting providers and personal installations on Unix/Linux/Windows systems should be able to host Joomla 2.5 and Joomla 3.x under very common configurations. But we recommend to check the following settings before not after the problem appear.

Server:

Software: PHP 5.3.10 or greater (but 5.4 is more recommended)

Apache mod_rewrite module (for short URLs)

Joomla System Requirement

Database:  

  1. MySQL 5.1 or greater
  2. MSSQL 10.50.1600.1 or greater
  3. PostgreSQL 8.3.18 or greater

Web Server:

  1. Apache 2.x+
  2. Microsoft IIS 7+
  3. Nginx 1.0(1.1 recommended)

Browser:

  1. Firefox 29+
  2. Google Chrome 30+
  3. Opera 10+
  4. Safari 5+
  5. IE 10+

 

Development Environment:

We recommended the following local configurations in development machine.

Windows:

  1. Wamp Server
  2. Xampp for Windows
  3. Jamp for Windows

Linux:

  1. Lamp Server
  2. Xampp for Linux

Mac OS:

  1. Mamp and Mamp Pro
  2. Xampp for Mac OS

Newsletter